oci_num_rows
oci_password_change
OCI8 Functions
PHP Manual

# oci_parse

(PHP 5, PECL oci8:1.1-1.2.4)

oci_parse — Prepares Oracle statement for execution

### Description

resource oci_parse ( resource `$connection` , string `$query` )

Prepares the `query` using `connection` and returns the statement identifier, which can be used with oci_bind_by_name(), oci_execute() and other functions.

### Parameters

`connection`

  An Oracle connection identifier, returned by oci_connect() or oci_pconnect().

`query`

  The SQL query.

### Return Values

Returns a statement handler on success, or `FALSE` on error.

### Notes

> Note: This function does not validate `query` . The only way to find out if `query` is valid SQL or PL/SQL statement - is to execute it.

> Note: In PHP versions before 5.0.0 you must use ociparse() instead. This name still can be used, it was left as alias of oci_parse() for downwards compatability. This, however, is deprecated and not recommended.

oci_num_rows
oci_password_change
OCI8 Functions
PHP Manual